#ifndef _CHARTISPINDEL_H
#define _CHARTISPINDEL_H

#include "MainWindow.h"

#include <QDialog>
#include <QDialogButtonBox>

class Callout;

namespace Ui {
class ChartiSpindel;
}

class ChartiSpindel : public QDialog
{
    Q_OBJECT

private slots:
    void savePNG();

public slots:
    void tooltip(QPointF point, bool state);

public:
    explicit ChartiSpindel(QString code, QString name, QWidget *parent = 0);
    ~ChartiSpindel();

private:
    QChartView *chartView;
    QChart *chart;
    Callout *t_tooltip = 0;
    QSplineSeries *temperature, *density, *battery;
};

#endif
